// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pj

import (
	"LEIT_PM/grmi"
	svr "LEIT_PM/services/pj"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块pj路由分组
	grmi.RegisterRouteMapping("/pj", func(party router.Party) {

		// Project的路由组
		project := party.Party("/project")
		// Project的服务实例
		var serviceOfProject = svr.NewProjectService()
		// Project插入一条
		// RegisterInsertOneProject(project, "/insertone", serviceOfProject.InsertOne)
		// Project插入多条
		// RegisterInsertProject(project, "/insert", serviceOfProject.Insert)
		// Project删除一条
		// RegisterDeleteOneProject(project, "/deleteone", serviceOfProject.DeleteOne)
		// Project删除多条
		// RegisterDeleteProject(project, "/delete", serviceOfProject.Delete)
		// Project查询多条
		RegisterSelectProject(project, "/selectlist", serviceOfProject.Select)
		// Project查询多条并分页
		RegisterQueryProject(project, "/query", serviceOfProject.SelectAndPaging)
		// Project查询一条
		RegisterSelectOneProject(project, "/selectone", serviceOfProject.SelectOne)
		// Project修改一条
		// RegisterUpdateOneProject(project, "/updateone", serviceOfProject.UpdateOne)
		// Project修改多条
		// RegisterUpdateProject(project, "/update", serviceOfProject.Update)

		// ProjectPaymentPhaseLst的路由组
		projectpaymentphaselst := party.Party("/projectpaymentphaselst")
		// ProjectPaymentPhaseLst的服务实例
		var serviceOfProjectPaymentPhaseLst = svr.NewProjectPaymentPhaseLstService()
		// ProjectPaymentPhaseLst插入一条
		// RegisterInsertOneProjectPaymentPhaseLst(projectpaymentphaselst, "/insertone", serviceOfProjectPaymentPhaseLst.InsertOne)
		// ProjectPaymentPhaseLst插入多条
		// RegisterInsertProjectPaymentPhaseLst(projectpaymentphaselst, "/insert", serviceOfProjectPaymentPhaseLst.Insert)
		// ProjectPaymentPhaseLst删除一条
		// RegisterDeleteOneProjectPaymentPhaseLst(projectpaymentphaselst, "/deleteone", serviceOfProjectPaymentPhaseLst.DeleteOne)
		// ProjectPaymentPhaseLst删除多条
		// RegisterDeleteProjectPaymentPhaseLst(projectpaymentphaselst, "/delete", serviceOfProjectPaymentPhaseLst.Delete)
		// ProjectPaymentPhaseLst查询多条
		RegisterSelectProjectPaymentPhaseLst(projectpaymentphaselst, "/selectlist", serviceOfProjectPaymentPhaseLst.Select)
		// ProjectPaymentPhaseLst查询多条并分页
		RegisterQueryProjectPaymentPhaseLst(projectpaymentphaselst, "/query", serviceOfProjectPaymentPhaseLst.SelectAndPaging)
		// ProjectPaymentPhaseLst查询一条
		RegisterSelectOneProjectPaymentPhaseLst(projectpaymentphaselst, "/selectone", serviceOfProjectPaymentPhaseLst.SelectOne)
		// ProjectPaymentPhaseLst修改一条
		// RegisterUpdateOneProjectPaymentPhaseLst(projectpaymentphaselst, "/updateone", serviceOfProjectPaymentPhaseLst.UpdateOne)
		// ProjectPaymentPhaseLst修改多条
		// RegisterUpdateProjectPaymentPhaseLst(projectpaymentphaselst, "/update", serviceOfProjectPaymentPhaseLst.Update)

		// Phase的路由组
		phase := party.Party("/phase")
		// Phase的服务实例
		var serviceOfPhase = svr.NewPhaseService()
		// Phase插入一条
		// RegisterInsertOnePhase(phase, "/insertone", serviceOfPhase.InsertOne)
		// Phase插入多条
		// RegisterInsertPhase(phase, "/insert", serviceOfPhase.Insert)
		// Phase删除一条
		// RegisterDeleteOnePhase(phase, "/deleteone", serviceOfPhase.DeleteOne)
		// Phase删除多条
		// RegisterDeletePhase(phase, "/delete", serviceOfPhase.Delete)
		// Phase查询多条
		RegisterSelectPhase(phase, "/selectlist", serviceOfPhase.Select)
		// Phase查询多条并分页
		RegisterQueryPhase(phase, "/query", serviceOfPhase.SelectAndPaging)
		// Phase查询一条
		RegisterSelectOnePhase(phase, "/selectone", serviceOfPhase.SelectOne)
		// Phase修改一条
		// RegisterUpdateOnePhase(phase, "/updateone", serviceOfPhase.UpdateOne)
		// Phase修改多条
		// RegisterUpdatePhase(phase, "/update", serviceOfPhase.Update)

		// Resource的路由组
		resource := party.Party("/resource")
		// Resource的服务实例
		var serviceOfResource = svr.NewResourceService()
		// Resource插入一条
		// RegisterInsertOneResource(resource, "/insertone", serviceOfResource.InsertOne)
		// Resource插入多条
		// RegisterInsertResource(resource, "/insert", serviceOfResource.Insert)
		// Resource删除一条
		// RegisterDeleteOneResource(resource, "/deleteone", serviceOfResource.DeleteOne)
		// Resource删除多条
		// RegisterDeleteResource(resource, "/delete", serviceOfResource.Delete)
		// Resource查询多条
		RegisterSelectResource(resource, "/selectlist", serviceOfResource.Select)
		// Resource查询多条并分页
		RegisterQueryResource(resource, "/query", serviceOfResource.SelectAndPaging)
		// Resource查询一条
		RegisterSelectOneResource(resource, "/selectone", serviceOfResource.SelectOne)
		// Resource修改一条
		// RegisterUpdateOneResource(resource, "/updateone", serviceOfResource.UpdateOne)
		// Resource修改多条
		// RegisterUpdateResource(resource, "/update", serviceOfResource.Update)

		// ProjectPhaseLst的路由组
		projectphaselst := party.Party("/projectphaselst")
		// ProjectPhaseLst的服务实例
		var serviceOfProjectPhaseLst = svr.NewProjectPhaseLstService()
		// ProjectPhaseLst插入一条
		// RegisterInsertOneProjectPhaseLst(projectphaselst, "/insertone", serviceOfProjectPhaseLst.InsertOne)
		// ProjectPhaseLst插入多条
		// RegisterInsertProjectPhaseLst(projectphaselst, "/insert", serviceOfProjectPhaseLst.Insert)
		// ProjectPhaseLst删除一条
		// RegisterDeleteOneProjectPhaseLst(projectphaselst, "/deleteone", serviceOfProjectPhaseLst.DeleteOne)
		// ProjectPhaseLst删除多条
		// RegisterDeleteProjectPhaseLst(projectphaselst, "/delete", serviceOfProjectPhaseLst.Delete)
		// ProjectPhaseLst查询多条
		RegisterSelectProjectPhaseLst(projectphaselst, "/selectlist", serviceOfProjectPhaseLst.Select)
		// ProjectPhaseLst查询多条并分页
		RegisterQueryProjectPhaseLst(projectphaselst, "/query", serviceOfProjectPhaseLst.SelectAndPaging)
		// ProjectPhaseLst查询一条
		RegisterSelectOneProjectPhaseLst(projectphaselst, "/selectone", serviceOfProjectPhaseLst.SelectOne)
		// ProjectPhaseLst修改一条
		// RegisterUpdateOneProjectPhaseLst(projectphaselst, "/updateone", serviceOfProjectPhaseLst.UpdateOne)
		// ProjectPhaseLst修改多条
		// RegisterUpdateProjectPhaseLst(projectphaselst, "/update", serviceOfProjectPhaseLst.Update)

		// ProjectPhaseResourceLst的路由组
		projectphaseresourcelst := party.Party("/projectphaseresourcelst")
		// ProjectPhaseResourceLst的服务实例
		var serviceOfProjectPhaseResourceLst = svr.NewProjectPhaseResourceLstService()
		// ProjectPhaseResourceLst插入一条
		// RegisterInsertOneProjectPhaseResourceLst(projectphaseresourcelst, "/insertone", serviceOfProjectPhaseResourceLst.InsertOne)
		// ProjectPhaseResourceLst插入多条
		// RegisterInsertProjectPhaseResourceLst(projectphaseresourcelst, "/insert", serviceOfProjectPhaseResourceLst.Insert)
		// ProjectPhaseResourceLst删除一条
		// RegisterDeleteOneProjectPhaseResourceLst(projectphaseresourcelst, "/deleteone", serviceOfProjectPhaseResourceLst.DeleteOne)
		// ProjectPhaseResourceLst删除多条
		// RegisterDeleteProjectPhaseResourceLst(projectphaseresourcelst, "/delete", serviceOfProjectPhaseResourceLst.Delete)
		// ProjectPhaseResourceLst查询多条
		RegisterSelectProjectPhaseResourceLst(projectphaseresourcelst, "/selectlist", serviceOfProjectPhaseResourceLst.Select)
		// ProjectPhaseResourceLst查询多条并分页
		RegisterQueryProjectPhaseResourceLst(projectphaseresourcelst, "/query", serviceOfProjectPhaseResourceLst.SelectAndPaging)
		// ProjectPhaseResourceLst查询一条
		RegisterSelectOneProjectPhaseResourceLst(projectphaseresourcelst, "/selectone", serviceOfProjectPhaseResourceLst.SelectOne)
		// ProjectPhaseResourceLst修改一条
		// RegisterUpdateOneProjectPhaseResourceLst(projectphaseresourcelst, "/updateone", serviceOfProjectPhaseResourceLst.UpdateOne)
		// ProjectPhaseResourceLst修改多条
		// RegisterUpdateProjectPhaseResourceLst(projectphaseresourcelst, "/update", serviceOfProjectPhaseResourceLst.Update)

		// ProjectPhaseExpenseLst的路由组
		projectphaseexpenselst := party.Party("/projectphaseexpenselst")
		// ProjectPhaseExpenseLst的服务实例
		var serviceOfProjectPhaseExpenseLst = svr.NewProjectPhaseExpenseLstService()
		// ProjectPhaseExpenseLst插入一条
		// RegisterInsertOneProjectPhaseExpenseLst(projectphaseexpenselst, "/insertone", serviceOfProjectPhaseExpenseLst.InsertOne)
		// ProjectPhaseExpenseLst插入多条
		// RegisterInsertProjectPhaseExpenseLst(projectphaseexpenselst, "/insert", serviceOfProjectPhaseExpenseLst.Insert)
		// ProjectPhaseExpenseLst删除一条
		// RegisterDeleteOneProjectPhaseExpenseLst(projectphaseexpenselst, "/deleteone", serviceOfProjectPhaseExpenseLst.DeleteOne)
		// ProjectPhaseExpenseLst删除多条
		// RegisterDeleteProjectPhaseExpenseLst(projectphaseexpenselst, "/delete", serviceOfProjectPhaseExpenseLst.Delete)
		// ProjectPhaseExpenseLst查询多条
		RegisterSelectProjectPhaseExpenseLst(projectphaseexpenselst, "/selectlist", serviceOfProjectPhaseExpenseLst.Select)
		// ProjectPhaseExpenseLst查询多条并分页
		RegisterQueryProjectPhaseExpenseLst(projectphaseexpenselst, "/query", serviceOfProjectPhaseExpenseLst.SelectAndPaging)
		// ProjectPhaseExpenseLst查询一条
		RegisterSelectOneProjectPhaseExpenseLst(projectphaseexpenselst, "/selectone", serviceOfProjectPhaseExpenseLst.SelectOne)
		// ProjectPhaseExpenseLst修改一条
		// RegisterUpdateOneProjectPhaseExpenseLst(projectphaseexpenselst, "/updateone", serviceOfProjectPhaseExpenseLst.UpdateOne)
		// ProjectPhaseExpenseLst修改多条
		// RegisterUpdateProjectPhaseExpenseLst(projectphaseexpenselst, "/update", serviceOfProjectPhaseExpenseLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-06 13:59:55
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
